.zoom-img-wrapper {
    position: relative;
    cursor: zoom-in;
    white-space: normal;
}

.zoom-img-wrapper + .zoom-img-wrapper {
    margin-top: 24px;
}

.zoom-img-wrapper * {
    white-space: normal;
}

.zoom-img-wrapper.is-zoomed {
    cursor: crosshair;
}

.zoom-img-wrapper .zoom-img {
    position: relative;
    /*margin-top: calc(-24px - 40px);*/
    overflow: hidden;
}

.zoom-img-wrapper img {
    display: block;
    width: 100%;
    height: auto;
}

.zoom-icon-wrapper {
    position: absolute;
    top: 0;
    right: 0;
    width: auto;
    height: calc(24px + 40px);
    padding: 20px;
    box-sizing: border-box;
    z-index: 2;
    will-change: transform;

    /*position: sticky;
    top: 0;
    width: 100%;
    height: calc(24px + 40px);
    display: flex;
    justify-content: end;
    padding: 20px;
    box-sizing: border-box;
    z-index: 2;*/
}

.zoom-icon-wrapper .zoom-icon {
    display: block;
    width: 24px;
    height: 24px;
    background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect width='24' height='24' rx='4' fill='black' fill-opacity='0.3'/%3E%3Cpath d='M9.52513 14.4749L5.28248 18.7175M5.42391 15.0406L5.28248 18.7175L8.95944 18.5761' stroke='white' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M14.4749 9.52521L18.7175 5.28257M18.5761 8.95953L18.7175 5.28257L15.0406 5.42399' stroke='white' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    cursor: pointer;
}

.zoom-icon.close-icon {
    display: block;
    background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect width='24' height='24' rx='4' fill='black' fill-opacity='0.3'/%3E%3Cpath d='M8 8L16 16M16 8L8 16' stroke='white' stroke-width='1.5' stroke-linecap='round'/%3E%3C/svg%3E");
}

.zoom-loupe {
    position: absolute;
    width: 450px;
    height: 450px;
    left: 0;
    top: 0;
    border-radius: 50%;
    pointer-events: none;
    background-repeat: no-repeat;
    border: 1px solid #fff;
    box-shadow: 0 4px 16px rgba(0, 0, 0, .4);
    box-sizing: border-box;
    display: none;
    opacity: 0;
    will-change: transform, background-position;
}

@media screen and (max-width: 696px) {
    .zoom-loupe {
        position: absolute;
        width: 320px;
        height: 320px;
        left: 0;
        top: 0;
        border-radius: 50%;
        pointer-events: none;
        background-repeat: no-repeat;
        border: 1px solid #fff;
        box-shadow: 0 2px 4px rgba(0, 0, 0, .4);
        box-sizing: border-box;
        display: none;
        opacity: 0;
        will-change: transform, background-position;
    }
}